{{ $page := . }}

<!doctype html>
{{ partial "paige/html.html" $page }}
    {{ partial "paige/head.html" $page }}
    {{ partial "paige/body.html" $page }}
        {{ if templates.Exists "partials/paige/body-first.html" }}
            {{ partial "paige/body-first.html" $page }}
        {{ end }}

        <div class="container flex-fill" id="paige-root">
            <div class="row">
                <div class="col">
                    {{ partial "paige/header.html" $page }}

                    <main class="mt-3" id="paige-main">
                        {{ if templates.Exists "partials/paige/main-first.html" }}
                            {{ partial "paige/main-first.html" $page }}
                        {{ end }}

                        {{ block "main" $page }}{{ end }}

                        {{ if templates.Exists "partials/paige/main-last.html" }}
                            {{ partial "paige/main-last.html" $page }}
                        {{ end }}
                    </main>

                    {{ partial "paige/footer.html" $page }}
                </div>
            </div>
        </div>

        {{ partial "paige/scripts.html" $page }}

        {{ if templates.Exists "partials/paige/body-last.html" }}
            {{ partial "paige/body-last.html" $page }}
        {{ end }}
    </body>
</html>

<!-- This part includes the Javascript file -->
<script type="text/javascript" id="MathJax-script" async
  src="https://cdn.jsdelivr.net/npm/mathjax@3/es5/tex-mml-chtml.js">
</script>

<!-- this part configures it -->
<script type="text/x-mathjax-config">
MathJax.Hub.Config({
  tex2jax: {
    inlineMath: [['\\(','\\)']],
    displayMath: [['$$','$$'], ['\[','\]']],
    processEscapes: true,
    processEnvironments: true,
    skipTags: ['script', 'noscript', 'style', 'textarea', 'pre'],
    TeX: { equationNumbers: { autoNumber: "AMS" },
         extensions: ["AMSmath.js", "AMSsymbols.js"] }
  }
});
</script>
